;#PurePDF_Include=1
;XIncludeFile #PB_Compiler_Home+"Examples\PurePDF\Source\PurePDF.pb"
;XIncludeFile #PB_Compiler_Home+"Examples\PurePDFBarcode\Source\PurePDFBarcode.pb"

pdf_Create()
pdf_AddPage()

pdf_SetFont("Arial","B",28)
Define text$="PurePDF Barcode Test Page"
Define len=pdf_GetStringWidth(text$)
pdf_Text(210/2-len/2,15,text$)

Define w.f
Define w1.f
Define w2.f
Define h.f=14
Define wb.f=0.4445
Define edgebar.f=1.5
Define xoffset.f=0
Define yoffset.f=0.6
Define x.f=50
Define y.f=20
Define x1.f=0
Define y1.f=20

pdf_SetFont("Arial","",6)

w=pdf_Barcode_EAN8(x,y,"5512345",h.f,wb,#PDF_NOTEXT_NOBARS,yoffset,edgebar,#True)
pdf_Barcode_EAN8(190-w,y,"5512345",h.f,wb,#PDF_TEXT_BOTTOM,yoffset,edgebar,#True)
pdf_Text(x-40,y+10,"EAN8"):x+x1:y+y1

w=pdf_Barcode_EAN13(x,y,"123456789012",h.f,wb,#PDF_NOTEXT_NOBARS,yoffset,edgebar,#True)
pdf_Barcode_EAN13(190-w,y,"123456789012",h.f,wb,#PDF_TEXT_BOTTOM,yoffset,edgebar,#True)
pdf_Text(x-40,y+10,"EAN13"):x+x1:y+y1

w=pdf_Barcode_UPC_A(x,y,"34109876534" ,h.f,wb,#PDF_NOTEXT_NOBARS,yoffset,edgebar,#True)
pdf_Barcode_UPC_A(190-w,y,"34109876534" ,h.f,wb,#PDF_TEXT_BOTTOM,yoffset,edgebar,#True)
pdf_Text(x-40,y+10,"UPC-A"):x+x1:y+y1

w=pdf_Barcode_UPC_E(x,y,"123456",h.f,wb,#PDF_NOTEXT_NOBARS,yoffset,edgebar,0) ; Number system=0
pdf_Barcode_UPC_E(190-w,y,"123456",h.f,wb,#PDF_TEXT_BOTTOM,yoffset,edgebar,0) ; Number system=0
pdf_Text(x-40,y+10,"UPC-E"):x+x1:y+y1

;pdf_Barcode_Code128(x,y,"TEST",h.f,wb,#PDF_TEXT_BOTTOM,xoffset,yoffset,#PDF_BARCODE_CODE128_CODEA)
;pdf_Text(x-40,y+10,"Code 128 A"):x+x1:y+y1

;pdf_Barcode_Code128(x,y,"test",h.f,wb,#PDF_TEXT_BOTTOM|#PDF_TEXT_CENTER,xoffset,yoffset,#PDF_BARCODE_CODE128_CODEB)
;pdf_Text(x-40,y+10,"Code 128 B"):x+x1:y+y1

;pdf_Barcode_Code128(x,y,"08154711",h.f,wb,#PDF_TEXT_BOTTOM|#PDF_TEXT_RIGHT,xoffset,yoffset,#PDF_BARCODE_CODE128_CODEC)
;pdf_Text(x-40,y+10,"Code 128 C"):x+x1:y+y1

w=pdf_Barcode_Code128(x,y,"EP12345678A1234",h.f,wb,#PDF_NOTEXT_NOBARS,xoffset,yoffset,#PDF_BARCODE_CODE128_AUTO)
pdf_Barcode_Code128(190-w,y,"EP12345678A1234",h.f,wb,#PDF_TEXT_BOTTOM|#PDF_TEXT_RIGHT,xoffset,yoffset,#PDF_BARCODE_CODE128_AUTO)
pdf_Text(x-40,y+10,"Code 128 Auto"):x+x1:y+y1

;pdf_Barcode_Code128(x,y,"TEST"+Chr(13)+"12345678",h.f,wb,0,xoffset,yoffset,#PDF_BARCODE_CODE128_AUTOA)
;pdf_Text(x-40,y+10,"Code 128 AutoA"):x+x1:y+y1

w=pdf_Barcode_Code39(x,y,"TEST39",h.f,wb,#PDF_NOTEXT_NOBARS,xoffset,yoffset,#True)
pdf_Barcode_Code39(190-w,y,"TEST39",h.f,wb,#PDF_TEXT_BOTTOM,xoffset,yoffset,#True)
pdf_Text(x-40,y+10,"Code 39"):x+x1:y+y1

;pdf_Barcode_Code39Full(x,y,"test39Full",h.f,wb,#PDF_TEXT_BOTTOM,xoffset,yoffset,#True)
;pdf_Text(x-40,y+10,"Code 39 Full"):x+x1:y+y1

w=pdf_Barcode_Code93(x,y,"TEST93",h.f,wb,#PDF_NOTEXT_NOBARS,xoffset,yoffset)
pdf_Barcode_Code93(190-w,y,"TEST93",h.f,wb,#PDF_TEXT_BOTTOM,xoffset,yoffset)
pdf_Text(x-40,y+10,"Code 93"):x+x1:y+y1

;pdf_Barcode_Code93(x,y,"!"+Chr(34)+"$%&/()=",h.f,wb,#PDF_TEXT_BOTTOM|#PDF_TEXT_CENTER,xoffset,yoffset)
;pdf_Text(x-40,y+10,"Code93"):x+x1:y+y1

w=pdf_Barcode_Code2of5std(x,y,"1234567",h.f,wb,#PDF_NOTEXT_NOBARS,xoffset,yoffset,#True)
pdf_Barcode_Code2of5std(190-w,y,"1234567",h.f,wb,#PDF_TEXT_BOTTOM,xoffset,yoffset,#True)
pdf_Text(x-40,y+10,"Code 2 of 5 standard"):x+x1:y+y1

w=pdf_Barcode_Code2of5(x,y,"12345670",h.f,wb,#PDF_NOTEXT_NOBARS,xoffset,yoffset,#True)
pdf_Barcode_Code2of5(190-w,y,"12345670",h.f,wb,#PDF_TEXT_BOTTOM,xoffset,yoffset,#True)
pdf_Text(x-40,y+10,"Code 2 of 5 interleaved"):x+x1:y+y1

w=pdf_Barcode_2Digit_Supp(x,y,"12",h.f,wb,#PDF_NOTEXT_NOBARS,xoffset,yoffset)
pdf_Barcode_2Digit_Supp(190-w,y,"12",h.f,wb,#PDF_TEXT_BOTTOM,xoffset,yoffset)
pdf_Text(x-40,y+10,"2 Digit-Supplement"):x+x1:y+y1

w=pdf_Barcode_5Digit_Supp(x,y,"99999",h.f,wb,#PDF_NOTEXT_NOBARS,xoffset,yoffset)
pdf_Barcode_5Digit_Supp(190-w,y,"99999",h.f,wb,#PDF_TEXT_BOTTOM,xoffset,yoffset)
pdf_Text(x-40,y+10,"5 Digit-Supplement"):x+x1:y+y1

; ISBN test
w1=pdf_Barcode_EAN13(x,y,"978389011528",h.f,wb,#PDF_NOTEXT_NOBARS,yoffset,edgebar,#True)
w2=pdf_Barcode_5Digit_Supp(x+45,y+edgebar,"02980",h.f,wb,#PDF_NOTEXT_NOBARS,xoffset,yoffset)
pdf_Barcode_EAN13(190-(w1+w2+3),y,"978389011528",h.f,wb,#PDF_TEXT_BOTTOM,yoffset,edgebar,#True)
pdf_Barcode_5Digit_Supp(190-w2,y+edgebar,"02980",h.f,wb,#PDF_TEXT_TOP|#PDF_TEXT_RIGHT,xoffset,yoffset)
pdf_Text(x-40,y+10,"EAN13 + 5 Digit-Supplement"):x+x1:y+y1

w=pdf_Barcode_Codabar(x,y,"A0D",h.f,wb,#PDF_NOTEXT_NOBARS,xoffset,yoffset)
pdf_Barcode_Codabar(190-w,y,"A0D",h.f,wb,#PDF_TEXT_BOTTOM,xoffset,yoffset)
pdf_Text(x-40,y+10,"Codabar"):x+x1:y+y1

Define File$="Tutorial01 Barcodes.pdf"
pdf_Save(File$)
RunProgram(File$)
; IDE Options = PureBasic 4.51 (Windows - x86)
; CursorPosition = 2